Fork me on GitHub"

# skbio.diversity.alpha.berger_parker_d

skbio.diversity.alpha.berger_parker_d(counts)

  Calculate Berger-Parker dominance.

  State: Experimental as of 0.4.0.

  Berger-Parker dominance is defined as the fraction of the sample that belongs to the most abundant OTU:

  \[d = \frac{N_{max}}{N}\]

  where \(N_{max}\) is defined as the number of individuals in the most abundant OTU (or any of the most abundant OTUs in the case of ties), and \(N\) is defined as the total number of individuals in the sample.

  Parameters:

    counts (1-D array_like, int) – Vector of counts.

  Returns:

    Berger-Parker dominance.

  Return type:

    double

  Notes

  Berger-Parker dominance is defined in [1]. The implementation here is based on the description given in the SDR-IV online manual [2].

  References

  [1]

  Berger & Parker (1970). SDR-IV online help.

  [2]

  http://www.pisces-conservation.com/sdrhelp/index.html